#!/bin/bash
# AAPP Level 1 processing for Metop ATOVS and IASI 
input_dir=$1       # Note: Input directory must be in the current directory
mkdir output
mkdir work
export APPTAINERENV_WRK=/mnt/work
export APPTAINERENV_FDFSAT="METO-02"
export APPTAINERENV_FDFVN="2"
aapp_run.bash AAPP_RUN_METOP -i AMSU-A -d /mnt/$input_dir -o /mnt/output
aapp_run.bash AAPP_RUN_METOP -i MHS -d /mnt/$input_dir -o /mnt/output
aapp_run.bash AAPP_RUN_METOP -i HIRS -d /mnt/$input_dir -o /mnt/output
aapp_run.bash timeout -k 30s 15m AAPP_RUN_METOP -i "AVHRR,IASI" -d /mnt/$input_dir -o /mnt/output
