#!/bin/bash
# AAPP Level 1 processing for NOAA ATOVS 
hrpt_file=$1          # Note: Input file must be in the current directory
mkdir output
mkdir work
export APPTAINERENV_WRK=/mnt/work
aapp_run.bash AAPP_RUN_NOAA -i AVHRR -o /mnt/output $hrpt_file
aapp_run.bash AAPP_RUN_NOAA -i AMSU-A -o /mnt/output $hrpt_file
aapp_run.bash AAPP_RUN_NOAA -i MHS -o /mnt/output $hrpt_file
aapp_run.bash AAPP_RUN_NOAA -i HIRS -o /mnt/output $hrpt_file
