#!/bin/bash

# Create and populate data directory for AAPP and OPS-LRS

# Create data directory
mkdir AAPP 
mkdir AAPP/aux_data
mkdir AAPP/orbelems
singularity run -B $PWD:/mnt bin/aapp_8.10.sif rsync -a /opt/install/AAPP_8.10/AAPP/data AAPP

# Download ancillary files
export AAPP_INSTALL_DIR=$PWD
export PATH=$AAPP_INSTALL_DIR/scripts:$PATH
aapp_update_aux.bash
aapp_update_cal.bash
aapp_update_tle.bash
