#!/bin/bash
# AAPP BUFR processing for ATMS SDR data
sdr=(SATMS*.h5)
tdr=(TATMS*.h5)
geo=(GATMO*.h5)
num=${#sdr[*]}
for ((i = 0; i < num; i++)); do aapp_run.bash atms_sdr -g ${geo[$i]} ${sdr[$i]} ${tdr[$i]}; done
aapp_run.bash combine_1c SATMS*.l1c
aapp_run.bash eccodes_encodebufr_1c -i atms.l1c ATMS
aapp_run.bash prepare_dbnet_bufr_for_gts atms.bufr
rm SATMS*.l1c atms.l1c 0 prepare_dbnet_bufr_for_gts.filter
